# Example slurm.conf file. Please run configurator.html
# (in doc/html) to build a configuration file customized
# for your environment.
#
#
# slurm.conf file generated by configurator.html.
#
# See the slurm.conf man page for more information.
#
ClusterName=sulekor
ControlMachine=sulekor
#ControlAddr=
#BackupController=
#BackupAddr=
#
SlurmUser=slurm
#SlurmdUser=root
SlurmctldPort=6817
SlurmdPort=6818
AuthType=auth/munge
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
StateSaveLocation=/var/slurmd/state
SlurmdSpoolDir=/var/slurmd
SwitchType=switch/none
MpiDefault=none
SlurmctldPidFile=/var/run/slurmctld.pid
SlurmdPidFile=/var/run/slurmd.pid
ProctrackType=proctrack/pgid
#PluginDir=
CacheGroups=0
#FirstJobId=
ReturnToService=1
#MaxJobCount=
#PlugStackConfig=
#PropagatePrioProcess=
#PropagateResourceLimits=
#PropagateResourceLimitsExcept=
#Prolog=
#Epilog=
#SrunProlog=
#SrunEpilog=
#TaskProlog=
#TaskEpilog=
#TaskPlugin=
#TrackWCKey=no
#TreeWidth=50
#TmpFs=
#UsePAM=
#
SlurmctldTimeout=300
SlurmdTimeout=300
InactiveLimit=0
MinJobAge=300
KillWait=30
Waittime=0
#
# SCHEDULING
SchedulerType=sched/backfill
#SchedulerAuth=
#SchedulerPort=
#SchedulerRootFilter=
#SelectType=select/linear
SelectType=select/cons_res
SelectTypeParameters=CR_Core
FastSchedule=1
#PriorityType=priority/multifactor
#PriorityDecayHalfLife=14-0
#PriorityUsageResetPeriod=14-0
#PriorityWeightFairshare=100000
#PriorityWeightAge=1000
#PriorityWeightPartition=10000
#PriorityWeightJobSize=1000
#PriorityMaxAge=1-0
#
# LOGGING
SlurmctldDebug=3
SlurmctldLogFile=/etc/slurm/log.txt
SlurmdDebug=3
SlurmdLogFile=/etc/slurm/logmd.txt
JobCompType=jobcomp/none
#JobCompLoc=
#
# ACCOUNTING
JobAcctGatherType=jobacct_gather/linux
JobAcctGatherFrequency=30
#
AccountingStorageEnforce=limits,qos
AccountingStorageType=accounting_storage/slurmdbd
AccountingStorageHost=sulekor
AccountingStorageLoc=/tmp/slurm_job_accounting.txt
#AccountingStoragePass=
#AccountingStorageUser=
# COMPUTE NODES
NodeName=node1 NodeAddr=10.10.10.21 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
NodeName=node2 NodeAddr=10.10.10.22 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
NodeName=node3 NodeAddr=10.10.10.23 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
NodeName=node4 NodeAddr=10.10.10.24 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
NodeName=node5 NodeAddr=10.10.10.25 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
NodeName=node6 NodeAddr=10.10.10.26 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
NodeName=node7 NodeAddr=10.10.10.27 CPUs=32 Sockets=2 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=32015  State=UNKNOWN
PartitionName=allNodes Nodes=node1,node2,node3,node4,node5,node6,node7 Default=YES MaxTime=INFINITE State=UP
PartitionName=gaussian Nodes=node1,node2,node3,node4 Shared=YES MaxTime=INFINITE AllowGroups=gauss09 State=UP
PartitionName=gromacs Nodes=node5,node6 Shared=YES MaxTime=INFINITE AllowGroups=gromacs State=UP
PartitionName=fortran Nodes=node7 Shared=YES MaxTime=INFINITE AllowGroups=fortran State=UP

                                                              